#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "StatusEffectApplier.h"
#include "GuardAddedProxy.h"
#include "K30InflictSelfStatusOnGuardSummonAddon.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UK30InflictSelfStatusOnGuardSummonAddon : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FStatusEffectApplier _statusEffectApplier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGuardAddedProxy _guardAddedProxy;

public:
	UK30InflictSelfStatusOnGuardSummonAddon();
};

FORCEINLINE uint32 GetTypeHash(const UK30InflictSelfStatusOnGuardSummonAddon) { return 0; }
